#Example_113 Refining the mesh           
                                                                      
fem                            #Set the FEM environment              
fem define nodes;r;fem_mesh;example    #Read the previously defined nodal
#                              !  coordinates from FEM_MESH.ipnode.   
fem define window;c            #Calculate the window size to fit the 
#                              !  size of the mesh         
fem define bases;r;;example             #Read in the basis function defined in
#                              !  FEM_MESH.ipbase                
fem define elements;r;;example          #Read in the elements defined in 
#                              !  FEM_MESH.ipelem               
fem draw lines                 #Make the line segments visible     
fem draw elements              #Make the element numbers visible   
fem draw nodes                 #Make the node numbers visible       
fem refine xi 1                #Refine the two elements at Xi(1)=0.5
fem draw lines                 #Draws in two new vertical lines
fem draw elements              #Draws new element numbers  
fem draw nodes                 #Draws new node numbers       
fem refine xi 1 elements 1,3 at 0.25 #Refine elements 1 and 3 at Xi(1)=0.25 
fem draw lines                 #Draws new vertical lines for the
#                              !  refined elements
fem draw elements              #Draws new element numbers  
fem draw nodes                 #Draws new node numbers       
fem define nodes;w;refine      #Writes nodes to a file REFINE.ipnode
fem define elements;w          #Writes elements to a file REFINE.ipelem
