#Example_125  Updates a 3D prolate spheroidal mesh from tri-linear
#             to cubic-Hermite/bilinear interpolation.
 
fem                            #set the FEM environment
fem define coordinates;r;updatehermite;example  #defines 3D prolate spheroidal
#                              !  coordinates, type (3) interpolation
fem define nodes;r;;example        #defines 4 nodes for a 3D prolate
#                              !  spheroidal shell
fem define bases;r;;example        #defines 1)trilinear and 2) bilinear bases
fem define element;r;;example      #defines 1 element
fem list element               #lists trilinear element
fem define;add bases;r;updatehermite_add;example #adds
#                              ! 3) cubic-Hermite/bilinear and
#                              ! 4) cubic-Hermite/linear bases
fem update node hermite in 1 newbasis 3  #Changes the interpolation
#                              !for geometric coordinate number 1 (lambda)
#                              !to cubic-Hermite/bilinear as specified by
#                              !newbasis number 3 and calculates derivs
#                              !based on arc-length.
fem list element               #lists the new cubic-Hermite/bilinear element
 
