#Example_13c Calculating a 3D cube Voronoi mesh

fem
fem de para;r;voronoi;example;    # Redefine parameters for Voronoi arrays.
fem de coor 3,1;                  # Define 3D rectangular Cartesian coordinates.
fem de reg;r;voronoi;example;     # Region1 for a cube, region 2 for Voronoi.
fem de base;r;voronoi;example;    # 4 basis fns. 2 linear for a cube, 2 simplex for Voronoi.
fem de node;r;cube;example reg 1; # 8 nodes for a cube
fem de elem;r;cube;example reg 1; # 1 element
fem de node;c delaunay reg 1 target 2 division 3 radius 0.05;
#                                 # Calculate Delaunay tetrahedra in region 2.
fem de mesh;c delaunay basis 3 B_nodes boundary IB_nodes internal_boundary reg 2;
#                                 # Calculate node groups for boundary and internal_boundary.
fem de node;w;delaunay reg 2;     # Write nodes for Delaunay tetrahedra.
fem de elem;w;delaunay reg 2;     # Write elements for Delaunay tetrahedra.
fem update delaunay reg 2;
fem de mesh;c voronoi B_nodes boundary IB_nodes internal_boundary reg 2;
#                                 # Calculate Voronoi.
fem export voronoi reg 2;         # Write export file for cmgui.

# NB/ Currently different solution on linux platform than on other platforms
# Perhaps due to different rounding on different platforms...
