#Example_141: Reads all ipfiles for Auckland's
#full anatomical model of the ventricles (geometry fibres and sheets). 
#Exports of node and element files to cmgui.

fem
fem define coord;r;heart;example  #3D Prolate spheroidal coordinates
fem define node;r;;example        #99 nodes
fem define base;r;;example        #Lambda: bicubic-Hermite/linear; mu,
#                                 !  theta: trilinear
fem define element;r;;example     #60 elements
fem define fibre;r;;example       #fibre angle: bilinear/cubic-Hermite
#                                 !imbrication angle: zero everywhere 
#                                 !  (trilinear)
#                                 !sheet angle: linear/bicubic-Hermite
fem define element;r;;example fibre #60 fibre elements with versions
fem export nodes as heart                 #export nodes to cmgui
fem export elements as heart           #export elements to cmgui
fem write iod;heart
