gfx create material purple ambient 1 0 1 diffuse 1 0 1 emission 0 0 0 specular 1 1 1 alpha 1 shininess 0.74

$name = "cube"
gfx re no $name
gfx re el $name
gfx modify g_element $name general clear circle_discretization 6 default_coordinate coordinates element_discretization "16*16*16" native_discretization none;
gfx modify g_element $name lines select_on material red selected_material default_selected;

$name = "transformed_cube"
gfx re no $name
gfx re el $name

gfx read data landmark

$name = "target"
gfx read data target
gfx modify g_element $name data_points glyph point general size "1*1*1" centre 0,0,0 select_on material red selected_material default_selected;
gfx modify g_element $name data_points glyph line general size "0*0*0" centre 0,0,0 orientation error scale_factors "1*1*1" select_on material purple selected_material default_selected;

$name = "finalDataPts"
gfx read data $name
gfx modify g_element $name data_points glyph point general size "1*1*1" centre 0,0,0 select_on material gold selected_material default_selected;

$name = "projections"
gfx read data $name
gfx modify g_element $name data_points glyph line general size "0*0*0" centre 0,0,0 orientation error scale_factors "1*1*1" select_on material default selected_material default_selected;

gfx set point 4
gfx create axes length 1
gfx draw axes

gfx create window 1
gfx edit scene

