#Example_385 Multigrid colloc soln of activation eqtn
#            d(u)/dt=div(kGradu)+u(1.15-u)(1-u) 
#            on 1 elements using bilinear basis

fem de node;r;mg_active;example    #4 nodes
fem de base;r;;example             #bilinear + 9*9 pt extended basis
fem de elem;r;;example             #1 element
fem de fibr;r;;example
fem de elem;r;;example fibre
fem define equation;r;;example     #active eqtn using cubic f(u)
fem de grid;c
fem de window
fem dr lines
fem dr grid level 1            #multigrid level 1 (finest grid) 
fem group grid external as bdry
fem define material;r;;example     #f=0, k11=1, k22=1
fem update grid material
fem de init;r;;example             #bdry pts =0, u(nq=1)=1
fem de solv;r;;example
fem dr grid values             #shows initial field
def macro solve "fem up grid time"
def macro solve "fem solve"
def macro solve "fem li grid YQ n 11"
def macro solve "fem dr grid values"
list macro
solve                          #use anisotropic, active, dt=.01
fem dr grid values             #shows computed field
fem dr scale
