gfx

# Read in the two Gauss point groups
gfx read nodes round_group
gfx read nodes remainder_group

# Two materials
gfx create material default ambient 1 1 1 diffuse 1 1 1 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material brown ambient 0.55 0.37 0 diffuse 0.68 0.29 0 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0

# Set up window
gfx modify window 1 view parallel eye_point 64 64 369.261 interest_point 64 64 0 up_vector 0 1 0 view_angle 40 near_clipping_plane 3.69261 far_clipping_plane 1319.61 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1gfx *
gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes y z eye_spacing 0.25 width 400 height 400
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 0 0 0
gfx modify window 1 view parallel eye_point 64 64 369.261 interest_point 64 64 0 up_vector 0 1 0 view_angle 40 near_clipping_plane 3.69261 far_clipping_plane 1319.61 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency

# Draw round group of Guass points

# Command updated by fixcom.sh on Wed Aug 23 17:49:05 NZT 2000
# Old command: gfx modify g_element round_group general circle_discretization 6 default_coordinate default_coordinate element_discretization 4*4*4 native_discretization none
gfx modify g_element round_group general circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none

gfx modify g_element round_group lines material default

# Command updated by fixcom.sh on Wed Aug 23 17:49:05 NZT 2000
# Old command: gfx modify g_element round_group node_glyphs glyph diamond size 1*1*1 material brown
gfx modify g_element round_group node_glyphs glyph diamond size "1*1*1" material brown


# Draw round group of Guass points

# Command updated by fixcom.sh on Wed Aug 23 17:49:05 NZT 2000
# Old command: gfx modify g_element remainder_group general circle_discretization 6 default_coordinate default_coordinate element_discretization 4*4*4 native_discretization none
gfx modify g_element remainder_group general circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none

gfx modify g_element remainder_group lines material default

# Command updated by fixcom.sh on Wed Aug 23 17:49:05 NZT 2000
# Old command: gfx modify g_element remainder_group node_glyphs glyph diamond size 1*1*1 material default
gfx modify g_element remainder_group node_glyphs glyph diamond size "1*1*1" material default

