foreach $index (@DATASETS) {								#Loopes through the deformed states

	fem define initial;r;initskinsolve_line;example					#Defines a force boundary problem
	fem define solve;r;solve;example

	fem define nodes;r;displacements_line_${index};example dep 2 nc 1
	fem define nodes;r;force_line_${index};example dep 2 nc 2			#Reads the experimentaly applied forces
	fem define nodes;r;force_line_residual;example dep 1 nc 2			#Reads the estimated residual forces

	fem solve increment 0.1 iterate 100
	for $M (1..3)
	{
		fem solve increment 0.3 iterate 100					#Solves the force boundary problem
	}

	fem evaluate residual wrt data_fitting function deformed data IMAGE_${index} 	#Evaluates geometric residuals

 	fem list data errors deformed

}
