@DATASETS = (12,14)

fem define parameters;r;multiaxes
	
fem define bases;r;bases_line
fem define nodes;r;coordinates_line_undeformed
fem define elements;r;elements_line

fem define fibre;r;fibre
fem define elements;r;fibreelem_line fibre

fem define equation;r;equation
fem define material;r;tongfung

fem group nodes 1..32 as BOUNDARY

fem define data;r;datapoints_undeformed
foreach $index (@DATASETS[1..$#DATASETS]){
	fem define data;r;datapoints_undeformed append
}

fem define xi;c closest

fem define data;r;datapoints_${DATASETS[0]} as IMAGE_${DATASETS[0]}
foreach $index (@DATASETS[1..$#DATASETS]){
	fem define data;r;datapoints_${index} append as IMAGE_${index}
}

fem define initial;r;initskinsolve_line
fem define solve;r;solve
fem define optimise;r;tongfung_line

fem define nodes;r;displacements_line_$DATASETS[-1] dep 2 nc 1
fem define nodes;r;force_line_$DATASETS[-1] dep 2 nc 2
fem define nodes;r;force_line_residual dep 1 nc 2

fem solve increment 0.1 iterate 100
for $M (1..3)
{
	fem solve increment 0.3 iterate 100
}

optimise

fem list data errors deformed

fem list material;output constitutive
