#Example_721: Material parameter optimisation: deformed mesh of a single 
#inflated prolate element with rotating fibre and sheet fields; 
#estimating pole-zero coefficients

fem
fem define coordinates;r;param_opt;example           #3D prolate spheroidal coords
fem define nodes;r;;example                          #4 nodes of example_544
fem define bases;r;;example                          #trilinear + quartic pressure
fem define element;r;;example                        #single element
fem define fibre;r;;example                          #65deg inside, -55deg outside
fem define element;r;;example fibre                  #fibre elements
fem define equation;r;;example lock                  #Finite elasticity, FEM
fem define material;r;;example                       #pole-zero law
fem define initial;r;;example                        #inflation
fem define solve;r;;example                          #newton iterations
fem define nodes;r;param_opt_def;example dependent 1 #read deformed mesh
fem define optimise;r;param_opt;example              #opt for pole-zero coeffs
fem update pressure increment 1.0                #update pressure parameters
optimise                                         #optimised for material params
