
fem de param;r;capillary;example;
fem de coor 3,1;
fem de regi;r;four;example;
fem de base;r;capillary;example;

fem de node;r;cells;example;
fem de elem;r;cells;example;

fem export node;cells as cells;
fem export elem;cells as cells;

fem group elem 100..107,642..687 as alveolus1;

fem de mesh;r;capillary;example reg 2;
fem update mesh geometry capillary reg 2; #defines capillary diameters etc

fem define equation;r;capillary;example reg 2;
fem define material;r;capillary;example reg 2; 
#fem define time;r;capillary;example reg 2;
fem define initial;r;capillary;example reg 2;
fem define solve;r;capillary;example reg 2;

#Below is for time dependent-boundary condition
#$time_initial=0.00;
#$time_final=1;

#$time_step=0.1;
#$write_out_period=0.1;

#fem export nodes;$time_initial as capillary reg 2;
#fem export elem;$time_initial as capillary reg 2;
#fem export properties;initial as initial reg 2 index 17,11,5;

#for ($time=$time_initial;$time<$time_final;$time=$time+$write_out_period)
#{
#fem solve restart to $time+$write_out_period reg 2 delta_t $time_step;
#fem export properties;$time+$write_out_period as solution reg 2 index 17,11,5;
#}

#Below for single time solution (constant boundary condition)
fem solve from 0 to 1 delta_t 0.5 reg 2; #solves system of equations

fem export node;capillary as capillary reg 2;
fem export elem;capillary as capillary reg 2;

fem export node;solution as solution reg 2 field pressure #exports pressure solutions as field
fem export properties;solution as solution reg 2 index 12,7,4 #exports solution properties
#properties: 12=blood flow 7=vessel hematocrit 4=hydraulic diameter

set output;cmiss_test on;
fem list node solution reg 2
set output off
fem quit
