#Example_b2111 2D activation using the collocation method
#
#  See Description.html for further explanation.
 
fem de param;r;example_b1;example           #Parameter settings

 
fem de bas;r;colloc-9x9;example 		#9x9 grid pt collocation basis
fem de node;r;square16x16;example 		#16x16 element square mesh
fem de elem;r;square16x16;example 		#Total 128mmx128mm
fem de fibr;r;sq16x16-00;example 		#Constant 0 degree fibre angle
fem de elem;r;;example fibre
fem de grid;r;9x9;example 				#Create 16641 grid pts
fem update grid geom
fem update grid metric
fem de equ;r;vcdc-is;example lock 		#Modified VCD model w/ ischemic
#					!  behaviour (permits reentry)
 
#  !The next lines define groups of collocation pts which may be used
#  !  as initial stimulus points.
fem group grid grid 7872,7873,7864,7865,7922,7930,8848,8849,8906 as center
#fem group grid xi1=0 oneoff as lhs-line
#fem group grid xi1=1 oneoff as rhs-line
#fem group grid xi2=0 oneoff as bottom-line
#fem group grid xi2=1 oneoff as top-line
#fem group grid grid 7873,7865,7857,7849,7841,7833,7825,7817,6841,6833,6825,6817,6809,6801,6793,6785 as cline1
#fem group grid grid 5809,5801,5793,5785,5777,5769,5761,5753,4777,4769,4761,4753,4745,4737,4729,4721 as cline2
#fem group grid grid 3745,3737,3729,3721,3713,3705,3697,3689,2713,2705,2697,2689,2681,2673,2665,2657 as cline3
#fem group grid grid 1681,1673,1665,1657,1649,1641,1633,1625,585,577,569,561,553,545,537,529 as cline4
 
fem de mat;r;vcd-21;example 		#2:1 conductivity ratio
fem de cell;r;vcd-21;example 		#2:1 conductivity ratio
fem up grid material 			#Update local conductivities
 
fem de ini;r;sq16x16-center;example 	#Stimulus in center of square
fem de sol;r;sq16x16;example 		#Solution parameters
 
#This section commented to allow example to run overnight.
#fem solve 				!Run solution
#fem up gauss activation			!Store activation times at gauss
#					!  points
 
#fem de win 				!Create output window
fem de field;r;sq16;example 		#Read field info
fem de elem;r;;example field   #Read field element info
fem de fit;r;sq16;example field gauss lock 	#And fitting parameters
 
#fem fit 				!Fit field from gauss points
 
#fem dr field field 1  			!Draw field
#fem dr cont field label off value 0,20,40,60,80,100,120,140,160,180,200
#					!Draw contour lines
#fem dr axes x=32,64,96 y=32,64,96 	!Draw axes
#fem dr fibr dxi 1,1,0.4 rgb=black 	!Draw fibre angles
