$OUTBEM = 1
$FEMBEM = 2
$CENBEM = 3
$OUTFEM = 4
$GRDFEM = 5

$LAPLACE = 1
$TMEMBRN = 2
$EXTCLLR = 3


fem define para;r;fembem;example

fem define regi;r;fembem;example
fem define node;r;test;example reg all
fem define base;r;fembem;example
fem define elem;r;test;example reg all
fem define fibr;r;test;example reg $GRDFEM
fem define elem;r;test;example fibre reg $GRDFEM

fem define grid;r;heart;example reg $GRDFEM
fem update grid geometry reg $GRDFEM
fem update grid metric reg $GRDFEM
fem group grid external as boundary reg $GRDFEM

fem define equa;r;bem;example reg $OUTBEM,$FEMBEM,$CENBEM,$OUTFEM class $LAPLACE lock
fem define equa;r;heart;example reg $GRDFEM class $TMEMBRN,$EXTCLLR
fem define mate;r;bem;example reg $OUTBEM,$FEMBEM,$CENBEM,$OUTFEM class $LAPLACE
fem define mate;r;heart;example reg $GRDFEM class $TMEMBRN,$EXTCLLR
fem define cell;r;heart;example reg $GRDFEM class $TMEMBRN,$EXTCLLR
fem update grid material reg $GRDFEM class $TMEMBRN,$EXTCLLR
fem define init;r;bem;example reg $OUTBEM,$FEMBEM,$CENBEM,$OUTFEM class $LAPLACE
fem define init;r;heart;example reg $GRDFEM class $TMEMBRN,$EXTCLLR
fem define coup;r;bem;example class $LAPLACE
fem define solv;r;heart;example reg $GRDFEM class $TMEMBRN
fem define solv;r;heart2;example reg $GRDFEM class $EXTCLLR
fem define solv;r;bem;example coupled reg $OUTBEM,$FEMBEM,$CENBEM,$OUTFEM class $LAPLACE

fem solve to 0 reg $GRDFEM class $TMEMBRN,$EXTCLLR
fem define sour;c grid diregion $FEMBEM grregion $GRDFEM time 0
fem update source reg $FEMBEM class $LAPLACE
fem solve coupled reg $OUTBEM,$FEMBEM,$CENBEM,$OUTFEM class $LAPLACE

fem solve restart to 5 reg $GRDFEM class $TMEMBRN,$EXTCLLR
fem define sour;c grid diregion $FEMBEM grregion $GRDFEM time 5
fem update source reg $FEMBEM class $LAPLACE
fem solve coupled reg $OUTBEM,$FEMBEM,$CENBEM,$OUTFEM class $LAPLACE

fem solve restart to 10 reg $GRDFEM class $TMEMBRN,$EXTCLLR
fem define sour;c grid diregion $FEMBEM grregion $GRDFEM time 10
fem update source reg $FEMBEM class $LAPLACE
fem solve coupled reg $OUTBEM,$FEMBEM,$CENBEM,$OUTFEM class $LAPLACE

fem define wind;c
fem draw fiel grid 1 zmin=-50 zmax=2 noscale reg $GRDFEM class $EXTCLLR
fem draw fiel reg $OUTFEM noscale zmax=0.07
fem draw dipo reg $FEMBEM scal 10
fem draw line reg $GRDFEM

fem define sour;w;dipoles grid diregion $FEMBEM grregion $GRDFEM







