#Example b211t
# ------------
fem define para;r;box;example
fem define coor;r;box;example

fem define node;r;box;example
fem define base;r;box;example
fem define elem;r;box;example

fem define fibr;r;box;example
fem define elem;r;box;example fibre

fem define grid;r;box;example
fem update grid geometry
fem group grid external as boundary
fem group grid xi1=low as stimulus

fem define equa;r;box;example class 1,2
fem define mate;r;box;example class 1,2
fem define cell;r;box;example class 1,2
fem define init;r;box;example class 1,2
fem define solve;r;box;example class 1
fem define solve;r;box;example class 2

# cmgui output
fem export node;box as box
fem export elem;box grid_numbers as box

fem export elem;"gridfield_000" field

# loop through time from 0 to 10 msec
foreach $count ( '001'..'020' ) 
{
 my $time = $count / 2;
 if( $count == 1 ) {
   fem solve to $time class 1,2
 } else {
   fem solve to "$time" class 1,2 restart
 }
 print "time: $time\n";
 fem export elem;"gridfield_$count" field class 1
}

#See draw.com to view results
