# Set the example path if it is not already set
if( !defined $example ) {
  $example = ".";
}

fem define para;r;$example/ach;
fem define node;d;
fem define base;d;
fem define elem;d;
fem define grid;d;
fem update grid geometry;
fem update grid metric;

fem define equa;r;$example/ach;
fem define cell;r;$example/ach;
fem define mate;r;$example/ach cell;
fem define mate;r;$example/ach;
fem update grid material;
fem define init;r;$example/ach;
fem define solv;r;$example/ach;

fem solve to 0;
fem open history;ach write variables yqs niqslist 1..6 binary;

foreach $step ( 0..1000 ) { 
  $time = $step/10
  fem solve restart to $time;
  fem write history time $time variables yqs binary;
}

fem close history binary;
fem evaluate elec;ach hist ach from grid yqs iy 1..6 binary;
fem define export;r;$example/ach;
fem export signal;ach elec signal ach;
