#
# Create some materials
#
gfx cre mat ghost    diff 0.6 0.6 0.6 alpha 0.16
gfx cre mat gold     diff 1.0 0.7 0.0 spec 0.5 0.5 0.5 ambi 1.0 0.7 0.0 shin 0.8
gfx cre mat red      diff 1.0 0.0 0.0 spec 0.8 0.4 0.4 shin 1.0 alpha .9
gfx cre mat dgreen   diff 0.0 0.5 0.0 spec 0.4 0.4 0.5 shin 0.5
gfx cre mat dblue    diff 0.0 0.1 1.0 spec 0.4 0.4 0.5 shin 0.5
gfx cre mat dred     diff 1.0 0.0 0.0 spec 0.6 0.3 0.3 shin 1.0

gfx read node example pigheart
gfx read elem example epi
gfx mod g_elem epi surf mat ghost
gfx mod g_elem epi line invis

gfx read elem example rvendo 
gfx read elem example lvendo
gfx mod g_elem rvendo surf mat dblue
gfx mod g_elem lvendo surf mat dgreen

gfx read data example tricub_heart

# Command updated by fixcom.sh on Wed May 10 11:29:39 NZT 2000
# Old command: gfx mod g_elem tricub_heart data_point point_size 2 mat gold
gfx mod g_elem tricub_heart data_point glyph cross mat gold size 2

#gfx mod g_elem tricub_heart data_glyph glyph line centre -0.5,0,0 size 2 orien error mat gold


gfx read data example epi_data

# Command updated by fixcom.sh on Wed May 10 11:29:39 NZT 2000
# Old command: gfx mod g_elem epi_data data_glyph glyph diamond size 2 mat red
gfx mod g_elem epi_data data_points glyph diamond size 2 mat red


# Command updated by fixcom.sh on Wed May 10 11:29:39 NZT 2000
# Old command: gfx mod g_elem epi_data data_glyph glyph cone size 0*1*1 orient error scale 1*0.01*0.01 mat dred

# Command updated by fixcom.sh on Wed Aug 23 17:50:25 NZT 2000
# Old command: gfx mod g_elem epi_data data_points glyph cone size 0*1*1 orient error scale 1*0.01*0.01 mat dred
gfx mod g_elem epi_data data_points glyph cone size "0*1*1" orient error scale "1*0.01*0.01" mat dred



gfx read data example rvendo_data

# Command updated by fixcom.sh on Wed May 10 11:29:39 NZT 2000
# Old command: gfx mod g_elem rvendo_data data_glyph glyph diamond size 2 mat dgreen invis
gfx mod g_elem rvendo_data data_points glyph diamond size 2 mat dgreen invis


# Command updated by fixcom.sh on Wed May 10 11:29:39 NZT 2000
# Old command: gfx mod g_elem rvendo_data data_glyph glyph cone size 0*1*1 orient error scale 1*0.01*0.01 mat dgreen invis

# Command updated by fixcom.sh on Wed Aug 23 17:50:25 NZT 2000
# Old command: gfx mod g_elem rvendo_data data_points glyph cone size 0*1*1 orient error scale 1*0.01*0.01 mat dgreen invis
gfx mod g_elem rvendo_data data_points glyph cone size "0*1*1" orient error scale "1*0.01*0.01" mat dgreen invis




gfx read data example lvendo_data

# Command updated by fixcom.sh on Wed May 10 11:29:39 NZT 2000
# Old command: gfx mod g_elem lvendo_data data_glyph glyph diamond size 2 mat dblue invis
gfx mod g_elem lvendo_data data_points glyph diamond size 2 mat dblue invis


# Command updated by fixcom.sh on Wed May 10 11:29:39 NZT 2000
# Old command: gfx mod g_elem lvendo_data data_glyph glyph cone size 0*1*1 orient error scale 1*0.01*0.01 mat dblue invis

# Command updated by fixcom.sh on Wed Aug 23 17:50:25 NZT 2000
# Old command: gfx mod g_elem lvendo_data data_points glyph cone size 0*1*1 orient error scale 1*0.01*0.01 mat dblue invis
gfx mod g_elem lvendo_data data_points glyph cone size "0*1*1" orient error scale "1*0.01*0.01" mat dblue invis



gfx read data example lvendo_xi

# Command updated by fixcom.sh on Wed May 10 11:29:39 NZT 2000
# Old command: gfx mod g_elem lvendo_xi data_glyph glyph diamond size 2 mat dblue invis
gfx mod g_elem lvendo_xi data_points glyph diamond size 2 mat dblue invis

gfx read data example rvendo_xi

# Command updated by fixcom.sh on Wed May 10 11:29:39 NZT 2000
# Old command: gfx mod g_elem rvendo_xi data_glyph glyph diamond size 2 mat dgreen invis
gfx mod g_elem rvendo_xi data_points glyph diamond size 2 mat dgreen invis

gfx read data example epi_xi

# Command updated by fixcom.sh on Wed May 10 11:29:39 NZT 2000
# Old command: gfx mod g_elem epi_xi data_glyph glyph diamond size 2 mat default 
gfx mod g_elem epi_xi data_points glyph diamond size 2 mat default



gfx set vis lvendo_xi
gfx set vis rvendo_xi
gfx set vis lvendo_data
gfx set vis rvendo_data
gfx set vis epi_data
gfx set vis epi_xi



gfx read data example full
gfx define field mymag magnitude field error

# Command updated by fixcom.sh on Wed May 10 11:29:39 NZT 2000
# Old command: gfx mod g_elem full data_glyphs glyph cone size 0*1*1 orient error scale 1*0.01*0.01 data mymag spec default

# Command updated by fixcom.sh on Wed Aug 23 17:50:25 NZT 2000
# Old command: gfx mod g_elem full data_points glyph cone size 0*1*1 orient error scale 1*0.01*0.01 data mymag spec default
gfx mod g_elem full data_points glyph cone size "0*1*1" orient error scale "1*0.01*0.01" data mymag spec default


gfx mod spec default auto


# Create a window
#
gfx set vis axes off
gfx cre win 1
gfx mod win 1 image view
gfx mod win 1 set slow
gfx mod win 1 set pert
gfx mod win 1 background colour 0 0 0 all
