# Example e34
# -----------
#


# Times to use
#

$STARTTIME = 0.0
$ENDTIME = 50.0


# Inputs
#

$VERSION 	= "01"
$MODEL 		= "pig$VERSION"
$OUTPUT 	= "forward_$VERSION"

 

# Controls
# 

$CALC_TRANSFER 	= 1
$EXPORT_CMGUI 	= 1
$EXPORT_UNEMAP 	= 1
$FORMAT 	= "ascii"



fem def para;r;activation;example 
fem def regi;r;six;example
fem def coor 3,1
fem def base;r;bicubic_bilinear;example
fem def node;r;$MODEL;example reg all
fem def elem;r;${MODEL}_lin;example reg all

 
 
# Grouping specific nodes
#
fem group node 225      as FIXEDNODE
fem group node 186,439  as SURFENDS
fem group node 187..438 as SURFNORM
 

# Grouping specific elements
#
fem group elem 697..736  as EPI    reg 6
fem group elem 737..808  as VENDO  reg 6
fem group elem 201..464  as SKIN   reg 1


if( $EXPORT_CMGUI==1 )
{
#
#----------------------------#
# Export geometry
#----------------------------#
#

fem export node;pig as thenodes reg all

fem export elem;skin   as skin      reg 1     elem SKIN
fem export elem;lungs  as lungs     reg 2,3
fem export elem;lvendo as lvendo    reg 4
fem export elem;rvendo as rvendo    reg 5
fem export elem;heart  as heart     reg 6     #elem EPI
 
} #EXPORT_CMGUI

 

#
#----------------------------#
# Setup equations
#----------------------------#
#
fem def equa;r;forward;example   reg all 
fem def mate;r;forward;example reg all
fem def init;r;forward_$VERSION;example reg all

fem def coup;r;forward;example
fem def solv;r;forward;example coup reg all
