# Example e7
# ----------
#


#----------------------------------------------------------#
#
# Applying and manipulating signals
#
#----------------------------------------------------------#


fem def para;r;torsoslice;example            #Sets up minimal parameter set.
fem def regi;r;torsoslice;example            #Two regions.
fem def node;r;;example region all           #Defines nodes for a 2D slice 
#                                            # through a torso and heart.
fem def base;r;;example                      #Defines cubic Hermite BEM bfns.
fem def elem;r;;example region all           #Defines 17 elements between heart 
#                                            # and torso.
fem list elem region all total       


#
#----------------------------#
# Setup equations
#----------------------------#
#
fem def equa;r;;example region all           #Defines a quasistatic analysis of
#                                            # the standard Laplace equation.
fem def mate;r;;example region all
fem def init;r;;example region all
fem def sour;r;;example region 2             #Moving dipole inside heart.
fem def coup;r;;example                      #The type of coupling.
fem def solv;r;;example coupled region all
