# Example e84
# -----------
#


# Inputs
#

$MODEL = "pig06_cust2_heart"
$NRHEART = 6


# Controls
#

$USEFIT = 1
$USEEXPORTCMGUI = 1

fem def para;r;fitting;example
fem def regi;r;six;example
fem def coor 3,1
fem def base;r;bicubic_bilinear;example
fem def node;r;$MODEL;example reg $NRHEART

fem def elem;r;${MODEL}_lin;example reg $NRHEART


# Grouping specific elements 
#
fem group elem 3265..4192 as HEARTELEM reg $NRHEART
fem group elem 3265..3904 as EPIELEM   reg $NRHEART
fem group elem 3905..4192 as VENDOELEM reg $NRHEART


# Grouping specific elements corresponding to ventricular epicardium
#
fem group elem 3265..3289,3305..3329,3345..3369,3385..3409,3425..3449,3465..3489 as EPI_BOTTOM1 reg $NRHEART
fem group elem 3505..3529,3545..3569,3585..3609,3625..3649,3665..3684,3705..3724 as EPI_BOTTOM2 reg $NRHEART
fem group elem 3745..3769,3785..3809,3825..3844,3865..3884 as EPI_BOTTOM3 reg $NRHEART


if( $USEEXPORTCMGUI==1 )
#
#----------------------------#
# Export geometry
#----------------------------#
#

{
fem export node;pig as thenodes reg all
fem export elem;heart as heart    reg $NRHEART elem EPIELEM
} #USEEXPORTCMGUI
