
if($OPTIM_MAGN)
{
  fem def sour;r;$example/dipole_guess reg $DIPOLE;
  $FREQ=1 

  list time
  for ($TIME=$TSTART;$TIME<$TEND;$TIME+=$TSTEP)
  {
    print "\n\n\n\n"
    print "*****************************************\n"
    print "Current Time in Optimisation Loop = $TIME\n"
    print "*****************************************\n"

    fem def opti;r;$example/opti_mag reg $DIPOLE time $TIME
    cmiss("optimise time $TIME reg $DIPOLE")
    fem eva resid wrt magnetic list 1 tstart $TIME tend $TIME freq $FREQ
    print "\n\n"
    list time
    fem li source
    print "End Optimisation Loop = $TIME\n"
    print "*****************************************\n\n\n\n"
  } 
}

if($OPTIM_POTL)
{
  fem def sour;r;$example/dipole_guess reg $DIPOLE;

  list time
  #for $TIME ($TSTART..$TEND)
  for ($TIME=$TSTART;$TIME<$TEND;$TIME+=$TSTEP)
  {
    print "\n\n\n\n"
    print "*****************************************\n"
    print "Current Time in Optimisation Loop = $TIME\n"
    print "*****************************************\n"

    fem def opti;r;$example/opti_pot reg $DIPOLE time $TIME
    cmiss("optimise time $TIME reg $DIPOLE")
    fem eva resid wrt magnetic list 1 tstart $TIME tend $TIME freq $FREQ
    print "\n\n"
    list time
    fem li source
    print "End Optimisation Loop = $TIME\n"
    print "*****************************************\n\n\n\n"
  } 
}


if($OPTIM_BOTH)
{
  fem def sour;r;$example/dipole_guess reg $DIPOLE;

  list time
  #for ($TIME=$TSTART;$TIME<=$TEND;$TIME+=$TSTEP)
  #for $TIME ($TSTART..$TEND)
  for ($TIME=$TSTART;$TIME<$TEND;$TIME+=$TSTEP)
  {
    print "\n\n\n\n"
    print "*****************************************\n"
    print "Current Time in Optimisation Loop = $TIME\n"
    print "*****************************************\n"

    fem def opti;r;$example/opti_both reg $DIPOLE time $TIME
    cmiss("optimise time $TIME reg $DIPOLE")
    fem eva res wrt magnetic list 1 tstart $TIME tend $TIME freq $FREQ
    print "\n\n"
    list time
    fem li source
    print "End Optimisation Loop = $TIME\n"
    print "*****************************************\n\n\n\n"
  }
}

