# Example_21a Using data points to redefine deforming 2D planar mesh

fem
fem define node;r;datafit;example   #Define 9 nodes for initial square mesh.
fem define base;r;;example          #Define a bilinear basis function.
fem define element;r;;example       #Define 4 elements.
fem define fibre;d
fem define element;r;;example fibre
fem define field;r;;example         #Define 2 field variables.
fem define element;r;;example field #Define field elements
fem define data;r;;example          #Define 19 data points (geom only).
fem define xi;c internal            #Calculate Xi locations on initial mesh.
fem list data                       #List data x,y and Xi positions.
fem define fit;r;;example geom      #Linear fit with no constraints.
fem define window         
fem draw line                       #Draw the initial square mesh.
fem draw data trace                 #Draw Xi locations on initial mesh.
fem define data;r;datafit_def;example #Read in new data positions.
fem draw data                       #Draw new data set.
fem fit                             #Fit nodes (--> Xi points close to data pts).
fem list node                       #Note field values have new nodal positions.
#fem draw line field                 !New mesh drawn from nodal field values.

fem define equation;r;datafit;example #Define finite elasticity problem.
fem update solution field 1,2
fem list strain                     #Strain calculated from XP and ZP.   
fem draw strain vectors scale 0.1   #Strain eigenvectors.

fem update geometry from field      #This overwrites original mesh.
fem draw data trace                 #Draw Xi positions on new mesh.
fem draw data projections           #Data pts projected to new mesh.
fem list data errors                #Errors in fit.
fem draw lines
fem draw nodes
fem draw elements
fem export nodes
fem export elements
fem 


