# Example_235 Fit a nodal strain energy field from Gauss point values 
#             and plot
                                   
fem                            #Set the FEM environment   
fem define node;r;gaussfit;example #Define building nodes
fem define base;r;;example         #Read in a bilinear basis function
fem define element;r;;example      #Define building elements
fem define fibre;d                 #Default fibre angle
fem define element;r;;example fibre
fem define window;c            #Calculate the window size
fem draw line                  #Draw the mesh
fem define equation;r;;example lock #Define a linear elasticity problem with
#                              !  Plane stress elements
fem define material;r;;example     #Define steel material properties
fem define initial;r;;example      #Define the loading on the building
fem draw node                  #Draw the nodes and show which nodes
#                              !  are fixed.
fem draw reaction sc 0.01      #Draw the initial reactions on the 
#                              !  building
fem define solve;r;;example        #Define the solve parameters
fem solve                      #Solve the linear elastic problem
fem draw line deformed dotted scale 0.01 #Draw the deformed lines
fem hide node                  #Hide the nodes
fem hide reaction              #Hide the reactions
fem draw gauss                 #Draw the gauss points
fem update gauss stress principal #Puts 1st princ stress 
#                              !  into YG(ng,1,ne)
#                              !  puts 2nd princ stress into YG(ng,2,ne)
#                              !  puts principal  angle into YG(ng,3,ne)
#                              !  puts strain energy    into YG(ng,4,ne)
fem define field;r;;example    #Define a field to hold the fitted 
#                              !  solution
fem define element;r;;example field #Define field elements
fem define fit;r;;example gauss lock #Define a gauss point fit
fem list fit                   #List the fit
fem list node                  #List the initial field
fem fit                        #Fit the first principal stress into
#                              !  field 1 and the second principal
#                              !  stress into field 2.
fem list node                  #List the fitted fields
fem draw field field 1         #Draw the first principal stress field
fem draw field field 2         #Draw the second principal stress field

