#Example_242 Geometric fitting using optimisation of cubic Hermite elements
                                                                    
fem                            #sets the environment to FEM         
fem define node;r;2doptifitting;example #Read in the initial mesh nodes
fem define base;r;;example         #Define a cubic Hermite basis function
fem define element;r;;example      #Define the elements
fem define data;r;;example         #Define the data point positions
fem define window;c            #Calculate the window size
fem draw data                  #Draw the data
fem draw nodes                 #Draw the initial node positions
fem draw line                  #Draw the initial mesh
#                              !  mesh
# Iteration 1
#
fem define xi;c orthogonal     #Calculate the orthogonal data point projection
#                              !  Xi locations.
fem draw data projection       #Draw the data point projections
fem draw data trace            #Draw the data point Xi locations
fem define fit;r;;example optimisation #Define a fitting by optimisation problem
fem define optimise;r;;example     #Define the optimisation problem
# list optimise tries to write out residuals but they are uninitialised as
# they haven't been calculated yet.
# fem list optimise              #List the optimisation problem.
fem list node                  #List the initial nodal positions. Note that
#                              !  the initial mesh does not have arc-length
#                              !  derivatives (i.e. the derivative vector
#                              !  does not have length 1.)
fem list data error            #List the error in the data points from the 
#
optimise                       #Solve the optimisation problem
fem update scale_factor        #Recalculate the scale factors to be average
#                              !  arc-length
fem draw line                  #Draw the fitted mesh
fem draw node                  #Draw the fitted node positions
#                              !  mesh
# Iteration 2
#
fem define xi;c orthogonal     #Calculate the new data point projections 
fem draw data projection       #Draw the new data point projections
fem hide data trace            #Hide the old data point Xi locations
fem list data error            #List the new data point error
fem define opti;r;;example         #Redefine the new optimisation problem
# fem list optimise              #List the optimisation problem
fem list node                  #List the nodal positions. Note that after the
#                              !  fit we now have arc-length derivatives (the
#                              !  nodal arc-length vector has magnitude 1).
optimise                       #Solve the optimisation problem 
fem update scale_factor        #Recalculate the scale factors to be average
fem draw line                  #Draw the fitted mesh
fem draw node                  #Draw the fitted node positions
#                              !  mesh
# Iteration 3
#
fem define xi;c orthogonal     #Calculate the new data point projections 
fem draw data projection       #Draw the new data point projections
fem define opti;r;;example         #Redefine the new optimisation problem
fem list data error            #List the new data point error
optimise                       #Solve the optimisation problem
fem update scale_factor        #Recalculate the scale factors to be average
fem draw line                  #Draw the fitted mesh
fem draw node                  #Draw the fitted node positions
fem define xi;c orthogonal     #Calculate the new data point projections 
fem draw data projection       #Draw the new data point projections
fem list data error            #List the new data point error
#
# More iterations if neccassary ...
#

