#
# Setup some default colours
#
gfx cre mat dgrey    diff 0.2 0.2 0.2
gfx cre mat black    diff 0.0 0.0 0.0
gfx cre mat purple   diff 0.5 0.0 0.8 spec 0.4 0.5 0.0 shin 1.0
gfx cre mat pred     diff 1.0 0.0 0.0 spec 1.0 0.0 0.0 shin 1.0 alpha .5
gfx cre mat green    diff 0.0 1.0 0.0 alpha 0.9


#
# Read in geometry fields
#
gfx read node sphere
gfx read elem inner
gfx read elem outer
gfx set vis inner
gfx set vis outer

#
# Read in solution fields
#
gfx read node soln
gfx read elem soln_inner
gfx read elem soln_outer

gfx mod g_elem soln_inner lines mat dgrey
gfx mod g_elem soln_outer lines mat dgrey
gfx mod g_elem soln_inner surf data potential
gfx mod g_elem soln_outer surf data potential mat pred

#
# Read in the dipole direction
#
gfx read data dipole
#gfx mod g_elem dipole data glyph arrow_solid size "1*0.7*0.7" orient error scale "1*0*0" mat purple
gfx modify g_elem dipole data glyph arrow_solid size "0*0.3*0.3" centre -1,0,0 orien error scale "0.5*0*0" mat purple
gfx modify g_elem dipole data glyph cylinder size "0*0.1*0.1" centre 0,0,0 orient error scale "0.5*0*0" mat purple



#
# Create the 3d window
#
gfx cre win 1
gfx mod win 1 image view
gfx mod win 1 set slow
gfx mod win 1 set pert

gfx create axes length 3 material green
gfx draw axes position 1

gfx mod spectrum default auto


