#!/usr/local/bin/perl 

# Simplified parameter entry for example 336

# Print the header and title
print "Content-type: text/html\n\n";

print "<HEAD><TITLE>Simplified Parameter Entry For Example 336</TITLE></HEAD>\n";
print "<BODY>\n";
print "<H3>Simplified Parameter Entry For Example 336</H3><P>\n";
print "<\BODY BGCOLOR=\"#FFFFFF\">\n";

# Get the input
read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});

# Split the name-value pairs
@pairs = split(/&/, $buffer);

foreach $pair (@pairs)
{
    ($name, $value) = split(/=/, $pair);

    # Un-Webify plus signs and %-encoding
    $value =~ tr/+/ /;
    $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

    # Stop people from using subshells to execute commands
    # Not a big deal when using sendmail, but very important
    # when using UCB mail (aka mailx).
    # $value =~ s/~!/ ~!/g; 

    # Uncomment for debugging purposes
    # print "Setting $name to $value<P>";

    $FORM{$name} = $value;
}

open(IPINIT_TEMPLATE, 'harbour.ipinit_template') || die "Can't open file: $!\n";
open(IPINIT_ACTUAL, ">harbour.ipinit") || die "Can't open file: $!\n";
$file=start;
while ($file) {
    $file=<IPINIT_TEMPLATE>;
    $file =~s/edit_field_1/$FORM{'node'}/;
    $file =~s/edit_field_2/$FORM{'concentration'}/;
    # Uncomment for debugging purposes
    #print "$file";
    print IPINIT_ACTUAL "$file";
}
close IPINIT_TEMPLATE;
close IPINIT_ACTUAL;

print "Point source set at node $FORM{'node'}<P>";
print "Concentration set to $FORM{'concentration'}<P><P>";
print "Use the 'Back' button on your browser to return to the Problem Lister\n";
