#Example_452 Modal analysis of a clamped beam
                                                                     
fem                            #set FEM environment                  
fem define nodes;r;clamped_beam;example #read in the nodes to define a beam
fem define window;c            #calculate the window size
fem define bases;r;;example        #defines a bicubic Hermite basis function
fem define elements;r;;example     #defines the beam elements   
fem draw lines                 #make the line segments visible
fem define fibre;r;;example    #Default fibre angle
fem define element;r;;example fibre
fem define equation;r;;example     #Define a modal analysis using linear
#                              !  elasticity with plane stress elements.
fem define material;r;;example     #Define the material parameters for 
#                              !  steel. 
fem list material              #List the material parameters
fem define initial;r;;example      #Define boundary conditions for the 
#                              !  problem. In this case as the beam is
#                              !  fixed at both ends, there is zero
#                              !  displacement.  The slope (i.e.
#                              !  derivative) is not fixed so that the
#                              !  beam can shear.
fem draw node                  #Draw the node numbers showing the 
#                              !  fixed boundary conditions.
fem hide node                  #Hide the node numbers
fem define solve;r;;example        #Define the solution parameters. We are
#                              !  only interested in the lowest modes
#                              !  so we only need to look for some
#                              !  of the lower eigenvalues.
fem list solve                 #List the solution parameters
fem solve                      #Solves the modal analysis problem
fem list modal mode 1          #Lists the modal frequencies and shapes
#                              !  for mode 1
fem list modal value           #Lists the modal frequencies for all the
#                              !  modes
fem draw line mode 1 dotted scale 2   #lowest frequency mode
fem draw line mode 2 dotted scale 2                       
fem draw line mode 3 dotted scale 2   #higher frequency mode 
