#Example_453 Modal analysis of a steel frame building
                                                                     
fem                            #set FEM environment                  
fem define nodes;r;building;example #read in the  nodes to define a 
#                              !  building
fem define window;c            #calculate the window size
fem define bases;r;;example        #defines a bilinear basis function
fem define elements;r;;example     #defines the building elements   
fem draw lines                 #make the line segments visible
fem define fibre;d             #default fibre angle
fem define element;r;;example fibre
fem define equation;r;;example     #Define a modal analysis using linear
#                              !  elasticity with plane stress elements.
fem define material;r;;example     #Define the material parameters for 
#                              !  steel.
fem list material              #List the material
fem define initial;r;;example      #Define initial and boundary conditions
#                              !  for the problem. In this case the
#                              !  displacements of the nodes at the
#                              !  bottom of the building are fixed in
#                              !  both the x and y directions.
fem draw node                  #Show the node numbers and the fixed
#                              !  boundary conditions
fem hide node                  #Hide the node numbers
fem define solve;r;;example        #Define the solution options. Only
#                              !  find the lowest 10 modes
fem list solve                 #List the solution parameters
fem solve                      #Solves the modal analysis problem
fem list modal mode 1          #Lists the modal frequency and shape
#                              !  for mode 1
fem list modal value           #List the modal frequencies
fem draw line mode 1 dotted    #lowest frequency mode
fem draw line mode 2 dotted                         
fem draw line mode 3 dotted                         
fem draw line mode 4 dotted                         
fem draw line mode 5 dotted                         
fem draw line mode 6 dotted                        
fem draw line mode 7 dotted                        
fem draw line mode 8 dotted                         
fem draw line mode 9 dotted                         
fem draw line mode 10 dotted   #higher frequency mode 
