$STRESS = 1

$name = "heartInflated"
gfx read node $name
gfx read elem $name
gfx modify g_element $name general clear circle_discretization 6 default_coordinate deformed element_discretization "16*16*16" native_discretization none;
gfx modify g_element $name lines select_on material green selected_material default_selected;

gfx set point_size 4

if($STRESS)
{
  gfx read data heartStress
  gfx modify g_element gauss_stress data_points coordinate element_xi_coordinate glyph point general size "1*1*1" centre 0,0,0 select_on material default data 1 spectrum default selected_material default_selected
} else
{
  gfx read data heartStrain
  gfx modify g_element gauss_strain data_points coordinate element_xi_coordinate glyph point general size "1*1*1" centre 0,0,0 select_on material default data 1 spectrum default selected_material default_selected
}

gfx create window 1
gfx edit scene
gfx edit spectrum
gfx modify spectrum default autorange

$name = "heartOriginal"
gfx read node $name
gfx read elem $name
gfx modify g_element $name general clear circle_discretization 6 default_coordinate coordinates element_discretization "16*16*16" native_discretization none;
gfx modify g_element $name lines select_on material red selected_material default_selected;

#gfx create axes length 20
#gfx draw axes

#gfx set vis heartOriginal off
#gfx set vis heartInflated off

