fem def para;r;head;example                            #define parameters
fem def coor;r;head;example                            #define coordinates 
fem def regi;r;head;example                            #two regions
fem def base;r;head;example
fem def node;r;head;example reg all
fem def elem;r;head;example reg all


#
# Export surfaces to CMGUI
#
 
fem export node;brain_geom geom nodes 1..167      as brain region 2
fem export node;bone_geom  geom nodes 168..334    as bone  region 2
fem export node;skin_geom  geom nodes 335..501    as skin  region 1
fem export elem;brain_geom geom elements 181..360 as brain region 2 
fem export elem;bone_geom  geom elements 361..540 as bone  region 2 
fem export elem;skin_geom  geom elements 721..900 as skin  region 1 

#
# Align DataCoordinates to
#  suit the MRI head model
#

fem def data;r;DataView_Coordinates;example
fem change data rotate by 0,180,0 about 0,0,0  #rotate data 180 degrees y-axis
fem change data scale by 10,10,10              #scales the data from cm to mm
fem change data translate by 86,0,22           #translate data

fem def data;w;electrode_positions

#
# Calculate orthoganal vectors 
#  of electrode projections 
#  onto outer surface of the 
#  MRI skull
# 

fem def data;r;electrode_positions             #define data
fem def xi;c;projections orthog region 1       #calculate xi positions   
fem def xi;w;projections region 1
fem li data errors region 1
fem export data;electrode_positions as electrode_positions offset 1000
fem export data;projections as projections error offset 2000

