
gfx cre mat white    diff 1.0 1.0 1.0
gfx cre spec fitted

gfx read node example fitted
gfx read elem example fitted_epi
gfx read elem example fitted_vendos

gfx mod g_elem fitted_vendos surf data general spec fitted
gfx mod g_elem fitted_epi surf data general spec fitted
gfx mod spec fitted auto

# Displaces the ventricles
#
gfx set transf name fitted_epi   1 0 0 0   0 1 0 0   0 0 1 0   -90 0 0 1
gfx edit graph fitted_epi apply 

gfx cre win 1
gfx mod win 1 image view
gfx mod win 1 set slow
gfx mod win 1 set pert
gfx mod win 1 background colour 0 0 0 all
gfx set vis axes off




# Draws a colour bar in window 1
#
gfx cre scene overlay
gfx mod scene overlay add_light default
gfx set vis axes off scene overlay
gfx mod win 1 overlay scene overlay

# Bar on the left
#gfx cr colour_bar axis 0 1 0 spec fitted div 4 rad 0.02 lab white sig 3 cen -.9 0 .5

# Bar on the top
gfx cr colour_bar axis 1 0 0 tick_dir 0 -1 0 div 4 rad 0.02 lab white sig 3 cen 0 .9 .5 spec fitted 
gfx draw colour_bar scene overlay


# Create some text
#
gfx cre annotation position -0.5 -0.9 0.0 text "Fitted Activation Times on Epicardium and Ventricle Chambres"
gfx draw annotation scene overlay

