fem def solv;r;torsoslice_bin;example coupled region all
fem solve coupled


#
#----------------------------#
# Export geometry
#----------------------------#
#
fem export node;slice as slice
fem export elem;slice as slice


#
#----------------------------#
# Export field
#----------------------------#
#
fem export node;slice_hist his torsoslice as potentials bin 


#
#----------------------------#
# Epicardial to torso
#----------------------------#
#
fem def trans;r;torsoslice;example   
fem eval transfer;torsoslice SVD
fem def inve;r;;example
fem eval inverse;torsoslice SVD
fem apply inverse history infile torsoslice outfile inverse_torsoslice bin


#
#----------------------------#
# Not implemented yet for binary
#----------------------------#
#
#fem check solution inverse infile1 torsoslice infile2 inverse_torsoslice bin
#                                            #Check the inversion over the whole 
#                                            # time interval by comparing the 
#                                            # two history files.


#
#----------------------------#
# Not implemented yet for 
#  specfic times
#----------------------------#
#
#fem check sol inverse time 0.3,0.5,0.6 infile1 torsoslice infile2 inv_torsoslice binary
#                                            #Compare solutions at times 0.3 0.5 0.6.


fem eval elec hist torsoslice from nodes electr 46..51 coup bin reg all
#                                            #Tests for evaluation and adding signals.
fem eval elec;tslice1 hist torsoslice from nodes electr 46..51 coup bin reg all
fem eval elec;tslice2 hist torsoslice from nodes electr 46..51 coup bin reg all
#                                            #Evaluates the history file using 
#                                            # nodes 46..51 as the electrode 
#                                            # locations and outputs two binary
#                                            # *.binsig files.


fem add sign infile1 tslice1 a 1.0 infile2 tslice2 b -1.0 out tslice_diff bin
#                                            #Adds the two *.binsig files together 
#                                            # with coef -1.0 and 1.0. Effectivly 
#                                            # it performs a difference between
#                                            # the signals.


#
#----------------------------#
# Export signals
#----------------------------#
#
fem def export;r;torsoslice;example 
fem export signal;unemap_ts1 electrodes signal tslice1
fem export signal;unemap_ts2 electrodes signal tslice2
fem export signal;unemap_tsdiff electrodes signal tslice_diff

