fem solve coupled
fem eva elec;slice his slice fr nod ele 46..57 cou as reg 1..2


#
#----------------------------#
# Fitting with cubic hermite 
#  basis fns
#----------------------------#
#
fem def fiel;r;slice_cub;example region 1
fem def elem;r;slice_cub;example field region 1


fem def fit;r;slice_cub;example signal region 1 class 2
fem fit signal ascii region 1 class 2
fem eva ele;fitted_cub his fitted_cub from nod elec 46..57 coup asc reg 1 using fit class 2


fem comp sig mast slice comp fitted_cub elec 1..12 asc reg 1 tim 0.1
fem comp sig mast slice comp fitted_cub elec 1..12 asc reg 1 tim 0.2
fem comp sig mast slice comp fitted_cub elec 1..12 asc reg 1 st 0.1 end 0.3
fem comp sig mast slice comp fitted_cub elec 1..12 asc reg 1 inte


#
#----------------------------#
# Fitting with linear basis fns
#----------------------------#
#
fem def fiel;r;slice_lin;example region 1
fem def elem;r;slice_lin;example field region 1


fem def fit;r;slice_lin;example signal region 1 class 3
fem fit signal ascii region 1 class 3
fem eva ele;fitted_lin his fitted_lin from nod elec 46..57 coup asc reg 1 using fit class 3


fem comp sig mast slice comp fitted_lin elec 1..12 asc reg 1 tim 0.1
fem comp sig mast slice comp fitted_lin elec 1..12 asc reg 1 tim 0.2
fem comp sig mast slice comp fitted_lin elec 1..12 asc reg 1 st 0.1 end 0.3
fem comp sig mast slice comp fitted_lin elec 1..12 asc reg 1 inte


#
#----------------------------#
# Fitting with spline 
#----------------------------#
#
fem def node;r;spline;example reg 3
fem def elem;r;spline;example reg 3
fem def fiel;r;slice_lin;example region 1
fem def elem;r;slice_lin;example field region 1


fem def data;r;spline;example reg 3
fem def xi;r;spline;example   reg 3
fem def fit;r;spline;example spline class 4
fem fit signal spline offset_fit 6 electrodes_per_row 12 rows 1 mesh_offset 66 class 4
fem eva ele;fitted_spline his fitted_spline from nod elec 46..57 coup asc reg 1 using fit class 4
fem comp sig mast slice comp fitted_spline elec 1..12 asc reg 1 inte
