#
# Created by Martin Buist
# August 2001
#

if( !$example ) {
  $example = ".";
}

fem define para;r;$example/bemcircle
fem define regi;r;$example/bemcircle
fem define node;r;$example/bemcircle reg 1
fem define node;r;$example/test reg 2
fem define base;r;$example/test
fem define elem;r;$example/bemcircle reg 1
fem define elem;r;$example/test reg 2
fem define grid;r;$example/test reg 2
fem update grid geometry reg 2

fem define equa;r;$example/bemcircle reg 1 cl 1 lock
fem define equa;r;$example/test reg 2 cl 2 lock
fem define mate;r;$example/bemcircle reg 1
fem define anal;r;$example/bemcircle reg 1
fem define init;g reg 1
fem define solv;r;$example/bemcircle reg 1

# Solve the BEM problem
fem solve reg 1
# Domain solution calculation - normal
fem eval solu grid elem 31 cpcutoff 0.7 potential
fem export elem;test-debug as test reg 2 cl 2 field iy 1

# Domain solution calculation - optimised with adaptive integration
fem eval solu grid elem 31 opti cpcutoff 0.7 potential
fem export elem;test-opti as test reg 2 cl 2 field iy 1
fem export node;test as test reg 2
fem export elem;test as test reg 2
