#!/usr/bin/perl -w
#
#
# Usage:
#
# Created:
# 

use strict;
use File::Compare;
use File::Find;
use Getopt::Std;


sub update_file
{
        # Given the input filename this routine parses
        # the given file and counts the nodes
        my $input = shift;
        my $output = shift;
        my $xi1 = shift;
        my $xi2 = shift;
        my $xi3 = shift;
        my $line;
        my $data_count = 0;
        my $data_line;
        my $new_xi_line = "Xi:";
        my $new_data_line = "R.C.";
         
        open(INPUT, "<$input") || die "Could not open file $input: $!\n";
        open(OUTPUT, ">$output") || die "Could not open file $input: $!\n";
         
        printf(OUTPUT"Data\n");

        while (defined($line = <INPUT>))
        {
           my @fields = split (' ',$line);

           if (($line =~ m|\Q$new_xi_line\E|))
           {
							$data_line = 0;
              if((($xi1 eq "x") || ($xi1 eq $fields[1])) &&
                 (($xi2 eq "x") || ($xi2 eq $fields[2])) &&
                 (($xi3 eq "x") || ($xi3 eq $fields[3])))
							{
									$data_line = 1;
							}
           }

           if (($line =~ m|\Q$new_data_line\E|) && $data_line)
           {
              $data_count = $data_count + 1;
              printf(OUTPUT"%s %s %s %s 1 1 1\n",$data_count,$fields[2],$fields[3],$fields[4]);
							$data_line = 0;
           }
        }

        close (INPUT);
        close (OUTPUT);
}


update_file($ARGV[0],$ARGV[1],$ARGV[2],$ARGV[3],$ARGV[4])


